Telegram Channel Details API

Get public Telegram channel or group details from its web preview.

1 creditper request
GET
/v1/telegram/channel
curl "https://api.scrapecreators.com/v1/telegram/channel" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 1000000,
  "credits_charged": 1,
  "handle": "telegram",
  "name": "Telegram News",
  "description": "The official Telegram on Telegram. Much recursion. Very Telegram. Wow.",
  "url": "https://t.me/telegram",
  "avatar_url": "https://cdn1.telesco.pe/file/...",
  "is_verified": true,
  "subscriber_count": 9780000,
  "subscriber_count_text": "9.78M",
  "member_count": null,
  "member_count_text": null,
  "photo_count": 14,
  "video_count": 225,
  "file_count": null,
  "link_count": 372
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

handle
string
required

Public Telegram handle, @handle, or t.me channel URL.

Example:
telegram
cache_max_age
string

If we have a response in the cache that is this many days old or newer, return the cached response (0 credits, with "cached": true and a "cached_at" timestamp). Otherwise, scrape a live result (1 credit). See the Caching page for details.

Example:
7d
Available options:
1d,
3d,
7d,
14d,
30d